part of avocadorm;

/// An exception that was generated by the [Avocadorm] class.
///
/// An Avocadorm exception means that the user has called a function correctly, with valid arguments, but there was
/// some logic problem elsewhere. For example, updating an `Entity` with a primary key value that is not in the database
/// throws this exception.
class AvocadormException implements Exception {

  /// The message of what went wrong.
  String message;

  /**
   * Creates an [AvocadormException] that can be thrown.
   */
  AvocadormException([this.message = '']);

  /// String representation of the exception message.
  String toString() => "AvocadormException: $message";

}
