part of resource;

/// An exception that was generated by the [Resource] class.
///
/// A resource exception usually means that an entity was not coded correctly, and that the conversion to a
/// resource was not possible. For example, setting a many-to-one foreign key with a target property that does
/// not exist in the same class throws this exception.
class ResourceException implements Exception {

  /// The message of what went wrong.
  String message;

  /**
   * Creates a [ResourceException] that can be thrown.
   */
  ResourceException([this.message = '']);

  /// String representation of the exception message.
  String toString() => "ResourceException: $message";

}
